#ifndef __ICONS_H
#define __ICONS_H

//taken from extrecmenu
class Icons
{
  private:
    static bool IsUTF8;
  public:
    static void InitCharSet();
    // symbols for menu
    static const char* Menu_Full_Star()   {return IsUTF8?"\uE0C3":"\x93";}  //ok
    static const char* Menu_Half_Star()   {return IsUTF8?"\uE0C4":"\x94";}  //ok
    static const char* Menu_Bomb()        {return IsUTF8?"\uE0C5":"\x95";}  //ok
    static const char* Menu_Note()        {return IsUTF8?"\uE0C6":"\x96";}  //ok
    static const char* Menu_Folder()      {return IsUTF8?"\uE002":"\x82";}  //ok
    static const char* Menu_Checkbox()    {return IsUTF8?"\uE0C1":"\x97";}  //ok
    static const char* Menu_CheckedBox()  {return IsUTF8?"\uE0C2":"\x98";}  //ok
    //symbols for OSD
    static const char* OSD_Shuffle()      {return IsUTF8?"\uE056":"\x01";}  //ok
    static const char* OSD_Replay()       {return IsUTF8?"\uE057":"\x02";}  //ok
    static const char* OSD_Record()       {return IsUTF8?"\uE058":"\x03";}  //ok
    static const char* OSD_Lyrics()       {return IsUTF8?"\uE059":"\x04";}  //ok
    static const char* OSD_Copy()         {return IsUTF8?"\uE054":"\x05";}  //ok
    static const char* OSD_Shutdown()     {return IsUTF8?"\uE060":"\x06";}  //ok
    static const char* OSD_Timer()        {return IsUTF8?"\uE055":"\x07";}  //ok
    static const char* OSD_Volume()       {return IsUTF8?"\uE061":"\x08";}  //ok
    static const char* OSD_Mute()         {return IsUTF8?"\uE062":"\x09";}  //ok

//    static const char* (){return IsUTF8?"\ue00f":"\x8f";}
//    static const char* (){return IsUTF8?"\ue010":"\x90";}
//    static const char* (){return IsUTF8?"\ue011":"\x91";}
//    static const char* (){return IsUTF8?"\ue012":"\x92";}
};

#endif //__ICONS_H
